import { Tree } from 'antd';
import * as React from 'react';
import { DynamicTreeOpts } from './interface';
/**
 * 说明：要想编辑动态树，提供的接口必须满足 VAP 接口规范，不满足规范的接口暂不支持。
 *
 */
export default class extends React.PureComponent<DynamicTreeOpts> {
    keyField: string;
    nameField: string;
    iconField: any;
    parentField: string;
    tree: Tree;
    childSuffix: string;
    state: {
        loading: boolean;
        treeData: any[];
        selectedKeys: any[];
    };
    componentDidMount(): Promise<void>;
    private clearCache;
    private findIndex;
    /**
     * 添加一个节点
     *  */
    add(data: any, callback?: Function): Promise<void>;
    /**
     * 更新一个节点
     */
    update(data: any, callback?: Function): Promise<void>;
    /**
     * 删除一个节点
     */
    delete(data: any, callback?: Function): Promise<void>;
    onLoadData(treeNode: any): Promise<any>;
    renderTreeNodes: (data: any, parent?: any) => any;
    private onSelect;
    render(): JSX.Element;
}
